# (C) 2018 Svetlana Tkachenko svetlana@members.fsf.org
#
#    This file is part of WAB, Welcome-a-bit for Wikinews.
#
#    WAB is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAB is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAB.  If not, see <https://www.gnu.org/licenses/>.

package wabts;

use DateTime::Format::Strptime;
use URI::Escape;
use DateTime::Format::Human;

sub parseTsFromCatMembers{
	my $self = shift;
	my $ts = shift;
	    my $strp = DateTime::Format::Strptime->new(
        pattern => '%FT%H:%M:%SZ',
        time_zone => 'UTC',
    );
    my $dt = $strp->parse_datetime($ts);
    return $dt->epoch;
}

# 'pubDate' => 'Mon, 11 Feb 2019 10:52:39 GMT',
sub parseTsFromAtomFeed{
	my $self = shift;
	my $ts = shift;
	$ts =~ s/.*?\ (.*)/$1/;
	print "Hi at $ts!\r\n";
	# 11 Feb 2019 10:52:39 GMT!
	my $strp = DateTime::Format::Strptime->new(
        pattern => '%d %B %Y %H:%M:%S %Z',
        time_zone => 'UTC',
    );
    my $dt = $strp->parse_datetime($ts);
    return $dt->epoch;
}

1;

#_ _END_ _
